Subject: Re: [netlmm] Lack of session indication

From: "Koodli, Rajeev" <[email-masked]>
Date: Thu, 28 Aug 2008 18:51:52 -0400

Hi Jonne,

> The issue is that there may be situations where LMA may lose the
binding
> cache for a user or a complete MAG:
> 
> 1) Session revocation in the LMA without notification to the MAG
> 2) LMA reboot
> 3) A different software error.

[RKo:>] You could add that failure to refresh a binding by MAG to the
above list.

> I have myself some questions on this topic. Would a possible
notification
> trigger a new PBU or dropping the connection at MAG? What would be the
> security model? (Basically, how to make sure there is not a DoS attack
by
> spoofing a fake notification?) How would this work together with the
other
> heart beat mechanisms, etc?

[RKo:>] The packets are coming from a MAG with which the LMA has trust
relationship - this is typically the case in an operator environment.
The notification from the LMA should follow the same security model used
to secure all signaling between the LMA and the MAG. The MAG may choose
to renew the binding or de-register the binding. 

Regards,

-Rajeev
 
> 
> Cheers,
> 
> Jonne.
> 
> 
> On 8/14/08 4:41 AM, "ext Sri Gundavelli" <[email-masked]> wrote:
> 
> > Hi Rajeev,
> >
> >
> > On Wed, 13 Aug 2008, Koodli, Rajeev wrote:
> >
> >>
> >> Hi Sri,
> >>
> >> For some reason, I didn't get your reply directly..
> >>
> >> I am not suggesting that the datapath signal the control plane upon
> loss
> >> of every packet. We don't want to do that. An indication along the
> lines
> >> of ICMP unreachable (in the kernel) or an event that's triggered
upon
> >> loss of some configurable number of packets could be couple of
options.
> >>
> >
> > Doing this data plane is complex. Its better to handle this
scenarios
> > in the context of general session management, IMO.
> >
> >
> > Thanks
> > Sri
> >
> >
> > _______________________________________________
> > netlmm mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/netlmm
> 
> --
> Jonne Soininen
> Nokia Siemens Networks
> 
> Tel: +358 40 527 46 34
> E-mail: [email-masked]
> 

_______________________________________________
netlmm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netlmm

---

From: "Ahmad Muhanna" <[email-masked]>
Date: Thu, 28 Aug 2008 18:59:10 -0500

Hi Rajeev,

> [RKo:>] You could add that failure to refresh a binding by 
> MAG to the above list.
> 
> [RKo:>] The packets are coming from a MAG with which the LMA 
> has trust relationship - this is typically the case in an 
> operator environment.
> The notification from the LMA should follow the same security 
> model used to secure all signaling between the LMA and the 
> MAG. The MAG may choose to renew the binding or de-register 
> the binding.

[Ahmad]
I am not sure what the trust relationship between the MAG and the LMA
has to do with the scenario at hand. This trust relationship is
meaningful when there is a SA that is used to protect the traffic in
question, data traffic. As long as the traffic is not secured that trust
relationship has no value here. Unless we are assuming that there is a
specific deployment here that we have in mind and goes beyond this trust
relationship. In that case, I have the following two comments:

1. More details on such deployment is helpful in order to identify what
is applicable and what is NOT.

2. If the MAG and the LMA has a trust relationship that allows the LMA
to react with a signaling control message when receiving an unsecured
data packet, then why not use that trust relationship to exchange
control signaling between the MAG and LMA, e.g. PMIP signaling, without
the need for a MAG-LMA SA to start with.

Regards,
Ahmad